﻿Write-Host '===== Timeserver Konfigurieren ====='
Add-Type -AssemblyName System.Windows.Forms
#$localIpAddress=((ipconfig | findstr [0-9].\.)[0]).Split()[-1]
$NTPServerPath = "HKLM:\SYSTEM\CurrentControlSet\Services\W32Time\TimeProviders\NtpServer"
$NTPVarName = "Enabled"
$NTPVarValue = "1"
$ConfigServerPath = "HKLM:\SYSTEM\CurrentControlSet\Services\W32Time\Config"
$ConfigVarName = "AnnounceFlags"
$ConfigVarValue = "5"
$firewallRuleName = "NTP Server"
$firewallRuleDescription = "Mangold NTP Time Server - synchronize IP Devices like Cameras"
Stop-Service -DisplayName "Windows-Zeitgeber"
New-ItemProperty -Path $NTPServerPath -Name $NTPVarName -Value $NTPVarValue -PropertyType DWORD -Force | Out-Null
New-ItemProperty -Path $ConfigServerPath -Name $ConfigVarName -Value $ConfigVarValue -PropertyType DWORD -Force | Out-Null
Start-Service -DisplayName "Windows-Zeitgeber"
Set-Service -Name „W32Time“ -StartUpType Automatic
New-NetFirewallRule -DisplayName $firewallRuleName -Enabled true -Protocol UDP -localPort 123 -Direction Inbound -Action Allow -Profile Any -Description $firewallRuleDescription
Write-Host -ForegroundColor Green "Der Windows Timerserver NTP ist erfolgreich Aktiviert!"
Write-Host '===== 5 sec warten ====='
sleep(5)